fhir_at_rest 0.4.5
fhir_at_rest: ^0.4.5 copied to clipboard

This package builds on the basic FHIR package. It allows easy creation of RESTful calls to a FHIR server or FHIR API.

Use this package as a library

Depend on it

Run this command:

With Dart:

 $ dart pub add fhir_at_rest

With Flutter:

 $ flutter pub add fhir_at_rest

This will add a line like this to your package's pubspec.yaml (and run an implicit dart pub get):


dependencies:
  fhir_at_rest: ^0.4.5

Alternatively, your editor might support dart pub get or flutter pub get. Check the docs for your editor to learn more.

Import it

Now in your Dart code, you can use:

import 'package:fhir_at_rest/dstu2.dart';
import 'package:fhir_at_rest/dstu2/fhir_request.dart';
import 'package:fhir_at_rest/dstu2/fhir_request.freezed.dart';
import 'package:fhir_at_rest/enums/compartment.dart';
import 'package:fhir_at_rest/enums/enums.dart';
import 'package:fhir_at_rest/enums/enums_to_string.dart';
import 'package:fhir_at_rest/enums/mode.dart';
import 'package:fhir_at_rest/enums/restful_request.dart';
import 'package:fhir_at_rest/enums/summary.dart';
import 'package:fhir_at_rest/globals.dart';
import 'package:fhir_at_rest/r4.dart';
import 'package:fhir_at_rest/r4/fhir_request.dart';
import 'package:fhir_at_rest/r4/fhir_request.freezed.dart';
import 'package:fhir_at_rest/r5.dart';
import 'package:fhir_at_rest/r5/fhir_request.dart';
import 'package:fhir_at_rest/r5/fhir_request.freezed.dart';
import 'package:fhir_at_rest/stu3.dart';
import 'package:fhir_at_rest/stu3/fhir_request.dart';
import 'package:fhir_at_rest/stu3/fhir_request.freezed.dart';
10
likes
120
pub points
73%
popularity

Publisher

fhirfli.dev

This package builds on the basic FHIR package. It allows easy creation of RESTful calls to a FHIR server or FHIR API.

Homepage
Repository (GitHub)
View/report issues

Documentation

API reference

License

MIT (LICENSE)

Dependencies

fhir, freezed_annotation, http

More

Packages that depend on fhir_at_rest